Package cx.ath.matthew.utils

# Class Hexdump

java.lang.Object
cx.ath.matthew.utils.Hexdump

public class Hexdump extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char[]`
`hexchars`

## Constructor Summary

Constructors
Constructor
Description
`Hexdump()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`format(byte[] buf)`
`static String`
`format(byte[] buf, int width)`
`static void`
`print(byte[] buf)`
`static void`
`print(byte[] buf, int width)`
`static void`
`print(byte[] buf, int width, PrintStream out)`
`static void`
`print(byte[] buf, PrintStream out)`
`static String`
`toAscii(byte[] buf)`
`static String`
`toAscii(byte[] buf, int ofs, int len)`
`static String`
`toByteArray(byte[] buf)`
Returns a string which can be written to a Java source file as part of a static initializer for a byte array.
`static String`
`toByteArray(byte[] buf, int ofs, int len)`
Returns a string which can be written to a Java source file as part of a static initializer for a byte array.
`static String`
`toHex(byte[] buf)`
`static String`
`toHex(byte[] buf, int ofs, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### hexchars

public static final char[] hexchars

## Constructor Details

### Hexdump

public Hexdump()

## Method Details

### toHex

public static String toHex(byte[] buf)

### toHex

public static String toHex(byte[] buf, int ofs, int len)

### toAscii

public static String toAscii(byte[] buf)

### toAscii

public static String toAscii(byte[] buf, int ofs, int len)

### format

public static String format(byte[] buf)

### format

public static String format(byte[] buf, int width)

### print

public static void print(byte[] buf)

### print

public static void print(byte[] buf, int width)

### print

public static void print(byte[] buf, int width, PrintStream out)

### print

public static void print(byte[] buf, PrintStream out)

### toByteArray

public static String toByteArray(byte[] buf)
Returns a string which can be written to a Java source file as part of a static initializer for a byte array. Returns data in the format 0xAB, 0xCD, .... use like: javafile.print("byte[] data = {") javafile.print(Hexdump.toByteArray(data)); javafile.println("};");

### toByteArray

public static String toByteArray(byte[] buf, int ofs, int len)
Returns a string which can be written to a Java source file as part of a static initializer for a byte array. Returns data in the format 0xAB, 0xCD, .... use like: javafile.print("byte[] data = {") javafile.print(Hexdump.toByteArray(data)); javafile.println("};");